public class Solution3 {

    public static int factorial(int n) {
        int res = 1;
        for (int i=1; i<=n; i++)
            res = res * i;
        return res;
    }

	/* Note that here we have to declare eSum as double
	 * because the result is a real number rather than integer.
	 * We also need to write 1.0 instead of 1 because the 
	 * decimal point tells the Java compiler that it must
	 * work with real numbers.
	 */
    public static double eSum(int n) {
        double res = 1;
        for (int i=1; i<=n; i++) {
            res = res + 1.0/factorial(i);
        }
        return res;
    }

    public static void main(String[] args) {
        System.out.println("n         eSum(n)");
        for (int i=1; i<=10; i++)
            System.out.println(i + "          " + eSum(i));
    }
}
